How to Unlock iPhone 4.3.2 with UltraSn0w [Tutorial]

By , Apr 24, 2011

The iPhone Dev Team has updated the UltraSn0w unlock tool with support for iOS 4.3.2. You can use PwnageTool to jailbreak your iPhone and preserve your baseband for the latest UltraSn0w unlock.

The latest release of UltraSn0w does not support new basebands, it only fixes compatibility issues with already-unlocked iPhones. In this tutorial, we’ll show you how to install the latest version of UltraSn0w to unlock your iPhone running iOS 4.3.2.

Compatible basebands:

01.59.00 / 04.26.08 / 05.11.07 / 05.12.01 / 05.13.04 / 06.15.00

Incompatible basebands:

02.10.04 / 03.10.01 / 04.10.01 / 05.14.02 / 05.15.04 / 05.16.02

iPhone 3GS owners with 6.15.00 basebands must be jailbroken on iOS 4.1 or 4.2.1. You can use RedSn0w or PwnageTool. There is a possibility that your iPhone’s GPS could be affected from the unlock.

Step 1: Open Cydia and navigate to “Manage Sources.”

Step 2: Add the following repo: “http://repo666.ultrasn0w.com

Step 3: After you’ve added the repo, search for “ultrasn0w 1.2.2” in Cydia and install. (Make sure to double check that your baseband is compatible before installing.)

Step 4: Restart your iPhone and your device should be unlocked for operation on any compatible carrier.

Congrats, your iPhone is now unlocked on iOS 4.3.2!

Let us know how unlocking your iPhone on 4.3.2 went for you. Share your stories in the comments below!

  • Share:
  • Follow:
  • MALdito

    When I updated this on my 3GS (running iOS 4.1, on Baseband 05.13.04), T-mobile wouldn’t load as the carrier (& yes, 3G was OFF). I tried to reinstall it, to respring it, and to restart it but to no avail. In the end I had to downgrade to the previous version in order to get it to work again. Any thoughts or suggestions (plz!) ?

  • Steve

    Can I update iPhone 4 running on BB 3.10.1 to compatible BB??

    • Anonymous

      NO! FFS LEARN TO READ!

      “Incompatible basebands:

      02.10.04 / 03.10.01 / 04.10.01 / 05.14.02 / 05.15.04 / 05.16.02″

  • Steve

    Can I update iPhone 4 running on baseband 3.10.1 to a compatible baseband???

  • Anonymous

    NO! FFS LEARN TO READ!

    “Incompatible basebands:

    02.10.04 / 03.10.01 / 04.10.01 / 05.14.02 / 05.15.04 / 05.16.02″

  • rlamba

    Try using ultrasnow to unlock again and it will be ok. I had the same problem with my 3gs and had used snobreeze 2.6. Used IRC4 to put your phone into DFU mode and then select shift Restore to put new software.

    If your phone is stuck on emergency then select simple mode and select activate and rebuild 4.3.2 software file again and then use it to jailbreak again.

  • Robert Taylor

    Damn it. I bought an iPhone 4 with iOS 4.1 and BB 2.10.04. There are literally millions of people with iPhone with this BB and up. I ended up having to by the illegal GEVEY iPhone 4 unlock. What did Apple change in the first iPhone 4 update to block UltraSn0w for months on end? Please add more BBs!

  • Fesked

    When will ultrasn0w update for new bb? Just to know the when it will be. Thx

  • Binh

    How to down 5.16.02 to 5.13.04

    • anon12345

      you can’t downgrade basebands.

  • DoubleM

    what can i do if i’ve installed it to 04.10.1??????
    pls

  • LUK

    Is there any chance we can change BB? I had 02.10.04 upgraded to 04.10.01 – both NOT supported!

  • daniel

    somebody knows if this site quickiphoneunlocking.com can really unlock lastest baseband on iphone 4?

    • Nathan

      bump, i am curious too, they claim to do my baseband on ios5

    • Gerald

      No, it does not work quickiphoneunlocking is a complete scam.

      • Peter

        It actually worked for me with quickiphoneunlocking.com on my iOS5

  • Ammar

    Hi all,
    I need a help here,
    When I updated this 4.3.2, 4.3.1, and 4.1 on my 3GS (running iOS 3.1.3, on Bb 05.12.01) with sn0wbreeze, at last moment of restoring (all IOS mentioned above) in itunes (almost to finish this update)
    I got
    1. error (29), and
    2. (connect-to-itunes logo).

    I tried to exit from the recovery mode via RecBoot, it worked only with 4.1 (just exit and it works)
    but in other IOS 4.3.1 and 4.3.1 didn’t work I don’t what is the problem here. And I tried to exit from the recovery mode via RecBoot, Redsn0w, TinyUmbrella but still the (connect-to-itunes logo) there.

    please i need your help.

    thanks in advance.

  • Liang

    My iPhone 3Gs is on iOS 4.1 with BB 05.11.07.
    Can I upgrade to iOS 4.3.2 JB and use the new ultrasn0w 1.2.2 to unlock with?
    I am confusing that some ppl said I need to upgrade to BB 06.15.00 to be able to unlock my phone.

    • Ammar

      You can upgrade with sn0wbraeez
      Do not upgrade to BB 06.15.00 cuz you BB can be unlock with ultrasn0w

    • naz

      use a Custom Firmware without Baseband update and you don’t have to change the BB
      with BB 6.15.00 the GPS won’t work

    • Liang

      Thx guys!!! I will try the pwnage tool that I can keep my BB also.

  • Japa

    Anyone know when I will be able to unlock baseband 04.10.1 ?

    thnx

  • Jsy

    Does anyone know when the new ultrasn0w update with be available to inlock baseband 03.10.02 with IOS 4.2.1

  • http://www.pxl-studio.de alibert21

    to all of you, that are asking for downgrading the BB, it is posible! Using Fuzzyband is the way, but it will only work, as long as your Bootloader isn’t higher than 5.8!
    I’ve done the upgrade to 4.3.2 and without telling me about it, the Bootloader was upgraded to 06.04 :-(
    Now, the only way to unlock the iPhone again, is to install BB 06.15.00 from the iPad, what means, that you lose the GPS-Function and also your Battery won’t least that long anymore!

  • Mike

    I am on 4.3.2 iphone 4 BB 01.59.00 with ultrasn0w 1.2.2 and MMS is not working nor voicemail. I am with AT&T. Please Help.

  • Alejandro

    Great info. I had an iPhone 3gs with 4.2.1 and BB 6.15. I follow the instructions above and everything worked just fine. I did the ease install on the Pwnage instead of the Expert option.
    Thanks!

  • ck

    Can I let my iphone die after unlocking it using ultasn0w. I have iphone 3gs 4.3.2 with bb 06.15.00

  • Kar

    Does anyone know how to load the Ipad bb to be able to unlock on a 4.3.2 with bb 05.16.02

  • Phixaakh

    need to know when ultra snow for 4.10.01bb will be up…

  • stvn tran

    i used the redsnow 0.9.6rc16 to jalbreak my iphone 4 with version 4.3.3 but it didnt work n got the notice is unable to recognize specified IPSW
    can you guys tell me how i do now?
    thanks!!

  • stvn tran

    how can i unlock iphone 3GS version 4.3.2 firmware 05.16.02 ?

  • Suresh

    Having iphone 4 ( locked) with baseband 4.10.1
    1. Can I upgrade baseband for unlocking? How
    2. Will iOS 5 beta 1 or 2 will help in anyway to unlock?
    Your guidance please

  • Tman

    My phone is now unlocked and booting fine. however it is searching for my tmobile network and cant seem to find it. It searches but never seems to be able to connect then finally says “no service”. there is a box that says waiting for activation, but hours later it is still waiting. Am I doing something wrong?

  • Sunshine

    i used the redsnow 0.9.6rc16 to jalbreak my iphone 4 with version 4.3.3 but it didnt work n got the notice is unable to recognize specified IPSW
    can you guys tell me how i do now?
    thanks!!

  • http://www.facebook.com/profile.php?id=100000300450044 Alexx Blake

    when will apare a 05.14.05 baseband unlocker ?

  • Anonymous

    Hi! I’ve read so many opinions so I’m very confused. I have a 3gs, ios 4.3.2, bb 05.16.02. Can I unlock my phone with ultrasnow? What’s the difference between old and new bootrom?
    Thank you ;)